<?xml version="1.0" encoding="UTF-8"?>

<project name="Generate Spring client from wsdl" default="" basedir=".">

	<description>Generate Spring client from wsdl</description>

	<property name="root" value="." />
	<property name="lib" location="${root}/WebContent/WEB-INF/lib" />

	<path id="classpathid">
		<fileset dir="${lib}" includes="*.jar" />
	</path>

	<!-- http://jaxb.java.net/2.2.6/docs/ch04.html#tools-xjc-ant-task -->
	<taskdef name="xjc" classname="com.sun.tools.xjc.XJCTask">
		<classpath refid="classpathid" />
	</taskdef>

	<!--	Generate Targets for Accessibility Fee service -->
	<target name="generate.wsdl" description="- -> Generate XML binding artifacts">
		<!-- http://jaxb.java.net/2.2.6/docs/ch04.html#tools-xjc-ant-task -->
		<xjc destdir="${basedir}/src" package="generated.webClient.stock" removeOldOutput="yes">
			<arg value="-verbose" />
			<arg value="-wsdl" />
			<arg value="${basedir}/conf/stockquote.wsdl" />
		</xjc>
	</target>

</project>